#!/bin/sh
echo "build cpu layer"
fbc  -mt -i inc -lib src/fbscpu.bas    -x lib/linux/libfbscpu.a
echo "build fbsound"
fbc  -mt -i inc -lib src/fbsound.bas   -x lib/linux/libfbsound.a
echo "build plug alsa"
fbc  -mt -i inc -dll src/plug-alsa.bas -x lib/linux/libplug-alsa.so
echo "build plug dsp"
fbc  -mt -i inc -dll src/plug-dsp.bas  -x lib/linux/libplug-dsp.so
echo "build plug arts"
fbc  -mt -i inc -dll src/plug-arts.bas -x lib/linux/libplug-arts.so
echo "copy *.so to ./tests"
cp ./lib/linux/*.so ./tests
echo "ready!"
echo ""
echo "have fun with FreeBASIC and FBSound"
echo ""

